#!/bin/make -f Makefile.dist
#
# This Makefile only used for preparing the distribution!
#
# Note that the master versions of these files live outside the
# distribution tree
#
.SUFFIXES: .g .asc

##.asc.g: ; $(A2G) < $? > $@

A2G=../conv/asc2g
G2A=../conv/g2asc

dist:	building.asc crod.asc demo.asc ktank.asc moss-world.asc prim.asc \
	star.asc truck.asc

building.asc:	../../db/building.g
	$(G2A) < $? > $*.asc ; chmod 444 $*.asc
crod.asc:	../../db/crod.g
	$(G2A) < $? > $*.asc ; chmod 444 $*.asc
demo.asc:	../../db/demo.g
	$(G2A) < $? > $*.asc ; chmod 444 $*.asc
ktank.asc:	../../db/ktank.g
	$(G2A) < $? > $*.asc ; chmod 444 $*.asc
moss-world.asc:	../../db/moss-world.g
	$(G2A) < $? > $*.asc ; chmod 444 $*.asc
prim.asc:	../../db/prim.g
	$(G2A) < $? > $*.asc ; chmod 444 $*.asc
star.asc:	../../db/star.g
	$(G2A) < $? > $*.asc ; chmod 444 $*.asc
truck.asc:	../../db/truck.g
	$(G2A) < $? > $*.asc ; chmod 444 $*.asc
